package com.example.linear_layout  // Remplace par le vrai nom de ton package

import android.os.Bundle
import android.widget.Button
import android.widget.EditText
import android.widget.TextView
import androidx.appcompat.app.AppCompatActivity

class MainActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        val inputMessage = findViewById<EditText>(R.id.input_message)
        val displayMessage = findViewById<TextView>(R.id.message_text)
        val btnClear = findViewById<Button>(R.id.btn_clear)
        val btnValidate = findViewById<Button>(R.id.btn_validate)

        btnValidate.setOnClickListener {
            val message = inputMessage.text.toString()
            displayMessage.text = message
        }

        btnClear.setOnClickListener {
            inputMessage.text.clear()
            displayMessage.text = ""
        }
    }
}
