package com.example.contactrecyclerappmodel

import android.app.Activity
import android.content.Intent
import android.os.Bundle
import android.widget.Button
import android.widget.EditText
import androidx.appcompat.app.AppCompatActivity

class AddContactActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_add_contact)

        val nameField = findViewById<EditText>(R.id.editTextName)
        val addressField = findViewById<EditText>(R.id.editTextAddress)
        val phoneField = findViewById<EditText>(R.id.editTextPhone)
        val emailField = findViewById<EditText>(R.id.editTextEmail)
        val saveButton = findViewById<Button>(R.id.buttonSave)

        saveButton.setOnClickListener {
            val resultIntent = Intent().apply {
                putExtra("name", nameField.text.toString())
                putExtra("address", addressField.text.toString())
                putExtra("phone", phoneField.text.toString())
                putExtra("email", emailField.text.toString())
            }
            setResult(Activity.RESULT_OK, resultIntent)
            finish()
        }
    }
}
